<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form>
    	<h3 style="margin-top:0">Local</h3>
    	<p:separator></p:separator>
        <p:panelGrid columns="3" >
            <p:outputLabel id="zonal" value="Equipo Territorial Provincial :"/>
       		<p:selectOneMenu for="zonal" value="#{localMB.instance.zonal}" converter="zonalConverter" required="true" label="Equipo Territorial Provincial">
           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
           		<f:selectItems value="#{commonSelectorsMB.getZonales(localMB.instance.zonal)}" var="zonal"
                          itemValue="#{zonal}"
                          itemLabel="#{zonal.nombre}"/>
       		</p:selectOneMenu>
            <p:message for="zonal" display="icon"/>
            
            
                <p:outputLabel for="nombre" value="Nombre : " />
                <p:inputText id="nombre" value="#{localMB.instance.nombre}" required="true" label="Nombre"/>
                <p:message for="nombre" display="icon"/>
                
            
            
                <p:outputLabel for="codigo" value="Codigo : " />
                <p:inputText id="codigo" value="#{localMB.instance.codigo}" required="true" label="Codigo">
                	<f:validateLength maximum="5" /> 
                </p:inputText>
                <p:message for="codigo" display="icon"/>
            
                <p:outputLabel for="convenio" value="Convenio : " />
            	<p:selectOneRadio id="convenio" value ="#{localMB.instance.convenio}" required="true" label="Convenio">
  						<f:selectItem itemValue="#{false}" itemLabel="No" />
  						<f:selectItem itemValue="#{true}" itemLabel="Si"/>
				</p:selectOneRadio>
				<p:message for="convenio" display="icon"/>
			
            
                <p:outputLabel for="telefono" value="Telefono : " />
                <p:inputText id="telefono" value="#{localMB.instance.telefono}" label="telefono" required="true" validatorMessage="Solo se permiten numeros para el campo telefono">
    					<f:validateRegex  pattern="\d*(.\d+)?" />
    			</p:inputText>
                <p:message for="telefono" display="icon"/>
            
                <p:outputLabel for="celGuardia" value="Telefono celular de guardia: " />
                <p:inputText id="celGuardia" value="#{localMB.instance.celGuardia}"/>
                <h:panelGroup/>
                
                <p:outputLabel for="email" value="Email: " />
                <p:inputText id="email" value="#{localMB.instance.email}" label="Email" required="true" validatorMessage="El mail ingresado es invalido">
                	<f:validateRegex for="email" 
						pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
				</p:inputText>
                <p:message  for="email" display="icon"/>
            
                <p:outputLabel for="observacion" value="Observacion: " />
                <p:inputTextarea rows="10" cols="50" value="#{localMB.instance.observacion}" queryDelay="750" minQueryLength="4" id="observacion" />
                <h:panelGroup/>
                
            
        </p:panelGrid>  
        <p:commandButton id="add" value="Guardar" action="#{localMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{localMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>